/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJMXConnectionServer.java 1928 2008-07-30 08:45:19Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.adapter.jmx.pool.api;

import java.io.Serializable;

import javax.management.MBeanServerConnection;


/**
 *
 * @author Guillaume Renault
 *
 */
public interface IJMXConnectionServer extends MBeanServerConnection, Serializable, IJMXConnection {

    /**
     * @param cnx setMBeanServerConnection to use in the JMX connector.
     */
    void setMBeanServerConnection(final MBeanServerConnection cnx);

    /**
     * Get the parameters of the JMX Connection.
     *
     * @return the parameters of the connection
     */
    JMXConnectionParam getParam();

    /**
     * Release the JMX connection.
     */
    void release();

}
